package com.mortals.xhx.module.favorites.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.favorites.model.FavoritesNewsEntity;
/**
* 收藏新闻查询对象
*
* @author zxfei
* @date 2023-10-07
*/
public class FavoritesNewsQuery extends FavoritesNewsEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 用户ID, */
    private Long userIdStart;

    /** 结束 用户ID, */
    private Long userIdEnd;

    /** 增加 用户ID, */
    private Long userIdIncrement;

    /** 用户ID,列表 */
    private List <Long> userIdList;

    /** 用户ID,排除列表 */
    private List <Long> userIdNotList;

    /** 开始 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏 */
    private Long newsIdStart;

    /** 结束 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏 */
    private Long newsIdEnd;

    /** 增加 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏 */
    private Long newsIdIncrement;

    /** 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏列表 */
    private List <Long> newsIdList;

    /** 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏排除列表 */
    private List <Long> newsIdNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 收藏时间 */
    private String favoriteTimeStart;

    /** 结束 收藏时间 */
    private String favoriteTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<FavoritesNewsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<FavoritesNewsQuery> andConditionList;

    public FavoritesNewsQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 用户ID,
    * @return userIdStart
    */
    public Long getUserIdStart(){
        return this.userIdStart;
    }

    /**
    * 设置 开始 用户ID,
    * @param userIdStart
    */
    public void setUserIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
    }

    /**
    * 获取 结束 用户ID,
    * @return $userIdEnd
    */
    public Long getUserIdEnd(){
        return this.userIdEnd;
    }

    /**
    * 设置 结束 用户ID,
    * @param userIdEnd
    */
    public void setUserIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
    }

    /**
    * 获取 增加 用户ID,
    * @return userIdIncrement
    */
    public Long getUserIdIncrement(){
        return this.userIdIncrement;
    }

    /**
    * 设置 增加 用户ID,
    * @param userIdIncrement
    */
    public void setUserIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
    }

    /**
    * 获取 用户ID,
    * @return userIdList
    */
    public List<Long> getUserIdList(){
        return this.userIdList;
    }

    /**
    * 设置 用户ID,
    * @param userIdList
    */
    public void setUserIdList(List<Long> userIdList){
        this.userIdList = userIdList;
    }

    /**
    * 获取 用户ID,
    * @return userIdNotList
    */
    public List<Long> getUserIdNotList(){
        return this.userIdNotList;
    }

    /**
    * 设置 用户ID,
    * @param userIdNotList
    */
    public void setUserIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
    }


    /**
    * 获取 开始 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
    * @return newsIdStart
    */
    public Long getNewsIdStart(){
        return this.newsIdStart;
    }

    /**
    * 设置 开始 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
    * @param newsIdStart
    */
    public void setNewsIdStart(Long newsIdStart){
        this.newsIdStart = newsIdStart;
    }

    /**
    * 获取 结束 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
    * @return $newsIdEnd
    */
    public Long getNewsIdEnd(){
        return this.newsIdEnd;
    }

    /**
    * 设置 结束 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
    * @param newsIdEnd
    */
    public void setNewsIdEnd(Long newsIdEnd){
        this.newsIdEnd = newsIdEnd;
    }

    /**
    * 获取 增加 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
    * @return newsIdIncrement
    */
    public Long getNewsIdIncrement(){
        return this.newsIdIncrement;
    }

    /**
    * 设置 增加 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
    * @param newsIdIncrement
    */
    public void setNewsIdIncrement(Long newsIdIncrement){
        this.newsIdIncrement = newsIdIncrement;
    }

    /**
    * 获取 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
    * @return newsIdList
    */
    public List<Long> getNewsIdList(){
        return this.newsIdList;
    }

    /**
    * 设置 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
    * @param newsIdList
    */
    public void setNewsIdList(List<Long> newsIdList){
        this.newsIdList = newsIdList;
    }

    /**
    * 获取 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
    * @return newsIdNotList
    */
    public List<Long> getNewsIdNotList(){
        return this.newsIdNotList;
    }

    /**
    * 设置 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
    * @param newsIdNotList
    */
    public void setNewsIdNotList(List<Long> newsIdNotList){
        this.newsIdNotList = newsIdNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 收藏时间
    * @return favoriteTimeStart
    */
    public String getFavoriteTimeStart(){
        return this.favoriteTimeStart;
    }

    /**
    * 设置 开始 收藏时间
    * @param favoriteTimeStart
    */
    public void setFavoriteTimeStart(String favoriteTimeStart){
        this.favoriteTimeStart = favoriteTimeStart;
    }

    /**
    * 获取 结束 收藏时间
    * @return favoriteTimeEnd
    */
    public String getFavoriteTimeEnd(){
        return this.favoriteTimeEnd;
    }

    /**
    * 设置 结束 收藏时间
    * @param favoriteTimeEnd
    */
    public void setFavoriteTimeEnd(String favoriteTimeEnd){
        this.favoriteTimeEnd = favoriteTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public FavoritesNewsQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public FavoritesNewsQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public FavoritesNewsQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public FavoritesNewsQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public FavoritesNewsQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public FavoritesNewsQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  用户ID,
    * @param userId
    */
    public FavoritesNewsQuery userId(Long userId){
	    setUserId(userId);
		return this;
    }
	
	 /**
    * 设置 开始 用户ID,
    * @param userIdStart
    */
    public FavoritesNewsQuery userIdStart(Long userIdStart){
		this.userIdStart = userIdStart;
		return this;
    }

    /**
    * 设置 结束 用户ID,
    * @param userIdEnd
    */
    public FavoritesNewsQuery userIdEnd(Long userIdEnd){
		this.userIdEnd = userIdEnd;
		return this;
    }

    /**
    * 设置 增加 用户ID,
    * @param userIdIncrement
    */
    public FavoritesNewsQuery userIdIncrement(Long userIdIncrement){
		this.userIdIncrement = userIdIncrement;
		return this;
    }

    /**
    * 设置 用户ID,
    * @param userIdList
    */
    public FavoritesNewsQuery userIdList(List<Long> userIdList){
        this.userIdList = userIdList;
		return this;
        }

        /**
        * 设置 用户ID,
        * @param userIdNotList
        */
        public FavoritesNewsQuery userIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
        return this;
        }

    /**
    * 设置  新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
    * @param newsId
    */
    public FavoritesNewsQuery newsId(Long newsId){
	    setNewsId(newsId);
		return this;
    }
	
	 /**
    * 设置 开始 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
    * @param newsIdStart
    */
    public FavoritesNewsQuery newsIdStart(Long newsIdStart){
		this.newsIdStart = newsIdStart;
		return this;
    }

    /**
    * 设置 结束 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
    * @param newsIdEnd
    */
    public FavoritesNewsQuery newsIdEnd(Long newsIdEnd){
		this.newsIdEnd = newsIdEnd;
		return this;
    }

    /**
    * 设置 增加 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
    * @param newsIdIncrement
    */
    public FavoritesNewsQuery newsIdIncrement(Long newsIdIncrement){
		this.newsIdIncrement = newsIdIncrement;
		return this;
    }

    /**
    * 设置 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
    * @param newsIdList
    */
    public FavoritesNewsQuery newsIdList(List<Long> newsIdList){
        this.newsIdList = newsIdList;
		return this;
        }

        /**
        * 设置 新闻ID, 关联到新闻表中的ID，表示这是哪个新闻的收藏
        * @param newsIdNotList
        */
        public FavoritesNewsQuery newsIdNotList(List<Long> newsIdNotList){
        this.newsIdNotList = newsIdNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public FavoritesNewsQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public FavoritesNewsQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public FavoritesNewsQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public FavoritesNewsQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public FavoritesNewsQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public FavoritesNewsQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public FavoritesNewsQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public FavoritesNewsQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public FavoritesNewsQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public FavoritesNewsQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public FavoritesNewsQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public FavoritesNewsQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public FavoritesNewsQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public FavoritesNewsQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<FavoritesNewsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<FavoritesNewsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<FavoritesNewsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<FavoritesNewsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}